Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SearchObject

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.SearchObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieSearchObject

Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.

    public class SearchObject

extends TiePublicObject

The `SearchObject` class provides a facility to store searches persistently across sessions. A SearchObject is a serialized version of the SearchSpecification that is saved in CM SDK. The serialized object is only guaranteed to work within the same version of the CM SDK.

An example when using a SearchObject would applicable would be modeling a "Search Folder". This search is defined by the user and should be executed each time the user "clicks" on the "folder". The search is dymamic so the user can modify it at any time, but also needs to be persist across sessions.

Another example when to use a SearchObject is if a search is very complex to build each time. It can be saved as a SearchObject avoiding the task of rebuilding it.

Since SearchObjects are PublicObjects, any action performed on a PublicObject can be also be performed on a SearchObject. They can be foldered, versioned, and be secured by an AccessControlList (ACL).

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.
`protected SearchSpecification` | `m_SearchSpecification` Deprecated. SearchSpecification associated with SearchObject.
`static java.lang.String` | `SEARCHCONTENT_ATTRIBUTE` Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `SearchObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Deprecated. Construct a Search Object, standard variant.

Method Summary
`protected static SearchObject` | `constructSearchObject(LibrarySession sess, S_LibraryObjectData data)` Deprecated. Internal function used for constructing SearchObject
`protected static java.util.Vector` | `constructSearchObjectVector(LibrarySession sess, java.util.Vector vector)` Deprecated. Helper function, for converting a Vector of LODatas into a Vector of SearchObjects.
`Search` | `getSearch()` Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.
`SearchSpecification` | `getSearchSpecification()` Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.
`void` | `handleEvent(IfsEvent event)` Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.
`void` | `setSearch(Search srch)` Deprecated. Specify the contained SearchSpecification using a Search.
`void` | `setSearchSpecification(SearchSpecification spec)` Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.
  Description copied from class: `SearchObject`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### SEARCHCONTENT_ATTRIBUTE

    public static final java.lang.String SEARCHCONTENT_ATTRIBUTE

  Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.
  Description copied from class: `SearchObject`
  The serialized form of a search used for persistent storage is stored in this attribute.

  See Also:
    Constant Field Values
  (Published)

### m_SearchSpecification

    protected SearchSpecification m_SearchSpecification

  Deprecated.
  Description copied from class: `SearchObject`
  SearchSpecification associated with SearchObject.

  (Unpublished)

Constructor Detail

### SearchObject

    protected SearchObject(LibrarySession session,
                           java.lang.Long id,
                           java.lang.Long classId,
                           S_LibraryObjectData data)
                    throws IfsException

  Deprecated.
  Construct a Search Object, standard variant. Does nothing, calls super

  Parameters:
    `session` - current LibSession
    `id` - object ID
    `classId` - class ID
    `data` - structure details of object
  Throws:
    `IfsException`
  (Unpublished)

Method Detail

### setSearch

    public void setSearch(Search srch)
                   throws IfsException

  Deprecated.
  Description copied from class: `SearchObject`
  Specify the contained SearchSpecification using a Search. Calls setSearchSpecification

  Parameters:
    `srch` - Search object used to specify SearchSpecification
  Throws:
    `IfsException` - if SearchSpecification is not valid
  (Unpublished)

### setSearchSpecification

    public void setSearchSpecification(SearchSpecification spec)
                                throws IfsException

  Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.

  Description copied from class: `SearchObject`
  Sets the search specification for the SearchObject.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSearchSpecification

    public SearchSpecification getSearchSpecification()
                                               throws IfsException

  Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.

  Description copied from class: `SearchObject`
  Returns the SearchSpecification.

  Returns:
    SearchSpecification of the SearchObject
  Throws:
    `IfsException` - if retrival fails.
  (Published)

### getSearch

    public Search getSearch()
                     throws IfsException

  Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.

  Description copied from class: `SearchObject`
  Returns a Search from the SearchObject. The Search returned is lightweight. It just has a reference to the SearchObject. This facilitates the SearchSpecification not being transferred to beans side until explicitly requested by user. When executing Saved Searches, call `Search.getSearchSpecification()` only when needed. The Search execution will work without the SearchSpecification being transported to the beans side.

  Returns:
    Search that corresponds to the persistent SearchObject.
  Throws:
    `IfsException` - if Search Object creation fails
  (Published)

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Deprecated. CM SDK 10g: Class is deprecated and will be deleted in a future release.

  Description copied from class: `SearchObject`
  Handles the specified event.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Overrides:
    `handleEvent` in class `LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructSearchObjectVector

    protected static java.util.Vector constructSearchObjectVector(LibrarySession sess,
                                                                  java.util.Vector vector)
                                                           throws IfsException

  Deprecated.
  Description copied from class: `SearchObject`
  Helper function, for converting a Vector of LODatas into a Vector of SearchObjects.

  Parameters:
    `sess` - session used for creating SearchObject objects
    `vector` - vector of LODatas
  Returns:
    vector of SearchObjects
  Throws:
    `IfsException` - if SearchObject construction fails.
  (Unpublished)

### constructSearchObject

    protected static SearchObject constructSearchObject(LibrarySession sess,
                                                        S_LibraryObjectData data)
                                                 throws IfsException

  Deprecated.
  Description copied from class: `SearchObject`
  Internal function used for constructing SearchObject

  Parameters:
    `sess` - the session
    `data` - the SearchObject data
  Returns:
    the SearchObject
  Throws:
    `IfsException` - if an error occurs
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD